CREATE SCHEMA Kataster

-- Historie:
-- 
-- 31.05.2002 - 1.001 (1.007)
-- Erweiterung der Wertebereiche von Meter, Kilometer und Jahr
-- 
-- 12.09.2001 - 1.000 (1.004)
-- Schema Kataster in den OKSTRA aufgenommen

CREATE TABLE Flurstueck (
   Flurstueck_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Flurstueck_ID) REFERENCES Geometrieschema.Flaechenobjekt_Modell,
   Flurstueck_Zaehler
      VARCHAR(5) NOT NULL,
   Flurstueck_Nenner
      VARCHAR(3),
   Flaeche
      REAL, -- Quadratmeter
   CHECK ( Flaeche>=0 ),
   Lage
      VARCHAR(100),
   Baukilometer
      REAL, -- Kilometer
   Liegenschaftsbuch
      VARCHAR(5),
   Flurkarte
      VARCHAR(50),
   Bemerkung
      VARCHAR(100),
   in_Gemarkung
      INTEGER NOT NULL REFERENCES Gemarkung,
   in_Flur
      INTEGER REFERENCES Flur
)

CREATE TABLE Flur (
   Flur_ID
      INTEGER NOT NULL PRIMARY KEY,
   Kennung
      VARCHAR(3) NOT NULL
)

CREATE TABLE besondere_Flurstuecksgrenze (
   besondere_Flurstuecksgrenze_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (besondere_Flurstuecksgrenze_ID) REFERENCES Geometrieschema.Linienobjekt_Modell
)

CREATE TABLE Grenzpunkt (
   Grenzpunkt_ID
      INTEGER NOT NULL PRIMARY KEY
)

CREATE TABLE Grenzpunkt__ist_Vermessungspkt (
   Grenzpunkt
      INTEGER NOT NULL REFERENCES Grenzpunkt,
   Vermessungspunkt
      INTEGER NOT NULL REFERENCES Vermessungspunkt.Vermessungspunkt
)

CREATE TABLE Gemarkung (
   Gemarkung_ID
      INTEGER NOT NULL PRIMARY KEY,
   Schluessel
      VARCHAR(4) NOT NULL
)

CREATE TABLE Gemarkung__in_Verwaltungsbez (
   Gemarkung
      INTEGER NOT NULL REFERENCES Gemarkung,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Administration.Verwaltungsbezirk_abstrakt
)

CREATE TABLE ALKIS_Objekt (
   ALKIS_Objekt_ID
      INTEGER NOT NULL PRIMARY KEY,
   Identifikator
      VARCHAR(255) NOT NULL
)

CREATE TABLE ALKIS_Objekt_Punkt (
   ALKIS_Objekt_Punkt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (ALKIS_Objekt_Punkt_ID) REFERENCES Geometrieschema.Punktobjekt_Modell,
   FOREIGN KEY (ALKIS_Objekt_Punkt_ID) REFERENCES Entwurf.allgemeine_Eigenschaften,
   FOREIGN KEY (ALKIS_Objekt_Punkt_ID) REFERENCES ALKIS_Objekt
)

CREATE TABLE ALKIS_Objekt_Linie (
   ALKIS_Objekt_Linie_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (ALKIS_Objekt_Linie_ID) REFERENCES Geometrieschema.Linienobjekt_Modell,
   FOREIGN KEY (ALKIS_Objekt_Linie_ID) REFERENCES Entwurf.allgemeine_Eigenschaften,
   FOREIGN KEY (ALKIS_Objekt_Linie_ID) REFERENCES ALKIS_Objekt
)

CREATE TABLE ALKIS_Objekt_Flaeche (
   ALKIS_Objekt_Flaeche_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (ALKIS_Objekt_Flaeche_ID) REFERENCES Geometrieschema.Flaechenobjekt_Modell,
   FOREIGN KEY (ALKIS_Objekt_Flaeche_ID) REFERENCES Entwurf.allgemeine_Eigenschaften,
   FOREIGN KEY (ALKIS_Objekt_Flaeche_ID) REFERENCES ALKIS_Objekt
)

